var webpack = require('webpack');
var path = require('path');
const vendors = [
	'whatwg-fetch',
	'es6-promise',
	'vue',
    'vuex'
];
let libsDir = path.join(__dirname,"libs");
module.exports = {
    output: {
        path: libsDir,
        filename: '[name].[chunkhash].js',
        library: '[name]_[chunkhash]',
    },
    entry: {
        vendor: vendors,
    },
    plugins: [
        new webpack.DllPlugin({
            path: path.join(libsDir,"manifest.json"),
            name: '[name]_[chunkhash]',
            context: __dirname,
        }),
    ],
};
